clang 10.0.0git

Namespaces | Functions
CommentLexer.cpp File Reference
`#include "clang/AST/CommentLexer.h"`
`#include "clang/AST/CommentCommandTraits.h"`
`#include "clang/AST/CommentDiagnostic.h"`
`#include "clang/Basic/CharInfo.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/Support/ConvertUTF.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "clang/AST/CommentHTMLTags.inc"`
`#include "clang/AST/CommentHTMLNamedCharacterReferences.inc"`
Include dependency graph for CommentLexer.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::comments

## Functions
static bool | clang::comments::isHTMLNamedCharacterReferenceCharacter (char C)
static bool | clang::comments::isHTMLDecimalCharacterReferenceCharacter (char C)
static bool | clang::comments::isHTMLHexCharacterReferenceCharacter (char C)
static StringRef | clang::comments::convertCodePointToUTF8 (llvm::BumpPtrAllocator &Allocator, unsigned CodePoint)